#pragma once

#include <vector>
#include <string>

class StatisticalClass;
class QDateTime;

bool trainingTimeFilter(const QDateTime& dateTime);
bool validationTimeFilter(const QDateTime& dateTime);

std::vector<StatisticalClass> generateClasses(
    double from, int count, double step);

bool fileExists(const std::string& fileName);
